.masterPiece {
    text-align: center;
    margin: 0 0 25%;
}

.masterPiece h1 {
    font-size: var(--sectionHeadingFontSize);
    margin: 0 0 4%;
}

.masterPiece #h,
.masterPiece #h img {
    display: none;
}

.masterCardContainer {
    display: flex;
    height: fit-content;
    margin: clamp(80px, 10%, 110px) 4vw 0;
}

.masterCard {
    width: calc(100%/4);
    border: 1px solid var(--brandPrimaryColor);
    border-radius: 15px;
    background-color: var(--elementBgColor);
    margin: 0 1vw;
    padding: 1.2vw;

}

.masterCard img {
    width: 17vw;
    height: 19vw;
    object-fit: cover;
    border-radius: 15px;
    border: 1px solid cyan;
}

.masterCard h2 {
    font-size: var(--sectionHeading2FontSize);
    width: fit-content;
    font-weight: 200;
    text-align: left;
    margin: 5% 0;
}

.masterCard p {
    font-size: var(--sectionParagraphFontSize);
    font-weight: 100;
    text-align: left;
    color: rgba(255, 255, 255);
    font-weight: 200;
}

#uniqueMasterCard2,
#uniqueMasterCard3 {
    position: relative;
    top: -5vw;
    background: linear-gradient(130deg, #ffffff, var(--brandPrimaryColor) 13%, #002F2A 100%);
}

#uniqueMasterCard3 {
    background: linear-gradient(130deg, #ffffff, var(--brandSecondaryColor)13%, #372D00 100%);
}

.masterRating {
    position: relative;
    top: -2vw;
    text-align: center;
    font-size: 1.5vw;
    font-weight: 100;
}
.reviewImgs {
    position: relative;
    display: flex;
    justify-content: center;
    gap: 1%;
}
.reviewImgs .img {
    display: flex;
    position: relative;
    width: 5vw;
    height: 5vw;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    /* box-sizing: border-box; */
    overflow: hidden;
    padding: 0.1vw;
    background: linear-gradient(var(--brandPrimaryColor), var(--brandSecondaryColor));
}
.reviewImgs .img img {
    width: 5vw;
    height: 5vw;
    border-radius: 50%;
}
.reviewImgs .img:nth-child(1) {
    left: 10.8%;
}
.reviewImgs .img:nth-child(2) {
    left: 6.2%;
}
.reviewImgs .img:nth-child(3) {
    left: 2%;
}
.reviewImgs .img:nth-child(4) {
    left: -2.2%;
}
.reviewImgs .img:nth-child(5) {
    left: -6.5%;
}
.reviewImgs .img:nth-child(6) {
    left: -11%;
    background: #090C0B;
    border: 2px solid white;
}
.reviewImgs .img:nth-child(6)::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    border: 2px solid white;
    background: linear-gradient(var(--brandPrimaryColor), var(--brandSecondaryColor));
    z-index: -5;
}

.masterRating img {
    height: 4vw;
    margin: -0.5vw 0;
}

/* -----------------------Mobile device------------------------ */
@media (max-width:600px) {
    body {
        overflow-x: hidden !important;
    }

    .masterPiece {
        position: relative;
        text-align: left;
    }

    .masterPiece h1 {
        position: relative;
        width: 100%;
        bottom: -2vw;
        left: -21%;
        font-size: var(--mobileHeadingFontSize);
        font-weight: 500;
        color: transparent;
        background: linear-gradient(to right, rgba(255, 255, 255), rgba(91, 91, 91) 40%);
        background-clip: text;
        -webkit-background-clip: text;

    }

    .masterPiece #h {
        display: inline;
        position: absolute;
        top: -4%;
        left: 80%;
        width: fit-content;
        height: fit-content;
        white-space: nowrap;
        mask-image: linear-gradient(to right, black 80%, transparent 90%);
        -webkit-mask-image: linear-gradient(to right, black 80%, transparent 90%);
    }

    .masterPiece h1 img {
        display: inline;
        width: 3vw;
    }

    .masterCardContainer {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        place-items: center;
        margin: 0;
        gap: 6vw 1vw;
    }

    .masterCard {
        width: 38vw;
        text-align: center;
        padding: 3vw;
    }

    .masterCard img {
        width: 100%;
        height: 40vw;
    }

    .masterCard h2 {
        font-size: var(--mobileHeading2FontSize);
    }

    .masterCard p {
        font-size: var(--mobileParagraphFontSize);
    }

    .masterCardContainer #uniqueMasterCard2 {
        top: -11%;
    }

    .masterCardContainer #uniqueMasterCard3 {
        top: -2%;
    }

    .masterCardContainer #uniqueMasterCard4 {
        position: relative;
        top: -13%
    }

    .masterPiece .masterRating {
        display: none !important;
    }
}
